List issuers
GET
https://api.vercel.com/v1/kms/issuersRetrieve the list of KMS issuers that belong to the authenticated team. The results are paginated.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.kms.listKmsIssuers({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "issuers": [ { "id": "icfg_1234567890", "ownerId": "example_id", "name": "Example Name", "algorithm": "ES256", "origin": "external", "managedBy": "string", "claimsSchema": "value", "createdAt": "string", "updatedAt": "string", "signingKeys": [ { "keyId": "example_id", "importKeyId": "example_id", "issuerId": "example_id", "algorithm": "string", "status": "active", "publicKey": { "kty": "string", "kid": "example_id", "alg": "string", "use": "string", "key_ops": [], "x5c": [], "x5t#S256": "string" }, "publicKeyFingerprint": "string", "publicKeyPem": "string", "certificatePem": "string", "createdAt": "string", "updatedAt": "string", "revokeAt": "string", "activateAt": "string", "activatedAt": "string" } ], "policies": [ { "kind": "project-grant", "teamId": "example_id", "projectId": "example_id", "environments": [], "tokenClaims": "value", "createdAt": "string", "updatedAt": "string" } ] } ], "pagination": { "count": "123", "next": "string" }}AuthorizationbearerToken
Default authentication mechanism